Overview
Recent Updates
Click here for recent updates.
HTTP verbs
The Raken Public API tries to adhere as closely as possible to standard HTTP and REST conventions in its use of HTTP verbs.
| Verb | Usage |
|---|---|
|
Used to retrieve a resource or a list of resources |
|
Used to create a resource |
|
Used to update a resource. The value of |
HTTP status codes
The Raken Public API tries to adhere as closely as possible to standard HTTP and REST conventions in its use of HTTP status codes.
| Status code | Usage |
|---|---|
|
The request completed successfully |
|
Indicates the response was not modified from the previous execution (using ETag/If-None-Matches) |
|
The request was malformed. The response body will include an error providing further information |
|
The credentials provided to the request were not sufficient |
|
The requested resource did not exist |
|
The API rate or burst limits are exceeded |
|
The API quota is reached |
HTTP Parameters
The Raken Public API tries to adhere to single-value parameter and multi-valued parameters. When it is multi-valued, generally the parameter naming convention are plural. e.g. projectUuids or classificationUuids
| Parameters | Usage |
|---|---|
|
GET /workLogs?fromDate=2022-11-01&toDate=2022-12-01&projectUuid=5c0de6b3-c871-4987-962e-f214f958d241 |
|
GET /members?classificationUuids=d8d5e0b2-9232-424a-8fbf-ce689a06a0aa,b516b197-f5c6-4fd7-ac94-530c03b11c06 |
|
GET /members?classificationUuids=d8d5e0b2-9232-424a-8fbf-ce689a06a0aa&classificationUuids=b516b197-f5c6-4fd7-ac94-530c03b11c06 |
Authorization
The Raken Public API is protected by Access Token that can be obtained via an OAuth 2.0 Flow.
The following are Raken OAuth 2.0 Flow properties:
| Property | Value |
|---|---|
|
|
Authorization URL |
|
Token URL |
|
Redirect URI |
Validation NOT enforced currently in Raken |
Create an OAuth 2.0 App
Create your OAuth 2.0 app at https://app.rakenapp.com/developer/apps (you MUST log in as Account Administrator).
Take note of client_id and client_secret which will be used in later steps in the OAuth 2.0 Flow.
|
Initiate the OAuth 2.0 Flow
OAuth 2.0 Flow can be initiated by calling the Authorization URL with
-
response_type=code -
client_id=<client_id> -
redirect_uri=<redirect_uri>
For example:
https://app.rakenapp.com/oauth/authorize?response_type=code&client_id=<client_id>&redirect_uri=https://myserver.example.com/oauth/callback
As part of the OAuth 2.0 Flow, you will be asked to log in Raken in browser to authorize the access.
Once you have logged in, your application will receive a response, via redirect_uri, which contains code that can be used to request an access token.
| This is the only step in the Authorization Code OAuth 2.0 Flow that requires a human-interaction. |
Request an Access token
Once your application receives the code, it can request an access token by calling the Token URL.
For example:
curl -X POST 'https://app.rakenapp.com/oauth/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=authorization_code' \
--data-urlencode 'code=<code>' \
--data-urlencode 'client_id=<client_id>' \
--data-urlencode 'client_secret=<client_secret>'
An example of response:
{
"access_token":"vbkNQb6vrsnZe/Sz2c...xbelSdHXCWHwr50pSLmdvn6o3THLjlWYoR3WKpohN3+VX4ubZ5XkNZ4",
"refresh_token":"8bdb2859-031b-4dae-9cbb-2d4b3bf096ca",
"token_type":"bearer",
"expires_in":36000
}
|
Request a New Access token
When your access_token expires, use your current refresh_token to obtain a new access token:
curl -X POST 'https://app.rakenapp.com/oauth/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=refresh_token' \
--data-urlencode 'client_id=<client_id>' \
--data-urlencode 'client_secret=<client_secret>' \
--data-urlencode 'refresh_token=<refresh_token>'
An example of response:
{
"access_token":"WuB29cxca/jwrsO9jO...WsMTyYOj88AHP3zgpV3Qe+eMM7WodHzYlsnyvXGNRLAPTdO7dgbeI7i",
"refresh_token":"c2f4a7e1-9b03-4d6a-bf21-7e5c1a0d8f42",
"token_type":"bearer",
"expires_in":36000
}
|
Refresh tokens may rotate. A Reusing a The refresh token is valid for 180 days. As long as you refresh at least once within this validity period, the validity window is extended on each refresh, so an active integration stays authorized without requiring the user to log in again. |
Revoking access
To end an authorization, POST the token to the revoke endpoint:
curl -X POST 'https://app.rakenapp.com/oauth/revoke' \
--data-urlencode 'token=<access_token or refresh_token>'
Either token of the authorization may be sent. Both identify the same authorization, and revoking tears down the whole of it — the access token and the refresh token — so there is no need to call the endpoint twice.
The endpoint always answers HTTP 200, whether or not the token existed. This is required by the
standard so that the endpoint cannot be used to discover which token values are valid, and it means a
200 is not a confirmation that anything was revoked.
|
The authorization is removed, and there is no way to restore it or to obtain further tokens from it — the user has to authorize your app again.
Always send the access token from the most recent |
Making an API call
Here is an example API call (using curl) utilizing an access token:
curl -X GET "https://developer.rakenapp.com/api/projects?limit=10&offset=0&statuses=ACTIVE" -H "Accept: application/json" -H "Authorization: Bearer <access_token>"
Request Headers
| Name | Description |
|---|---|
|
The Authorization Request Header. Format: "Bearer <access_token>". |
Response Headers
| Name | Description |
|---|---|
|
Identifier representing the response content (May be used for conditional requests) |
|
The Content-Type of the payload, e.g. |
Paging
Many of the requests accept parameters that indicate the paging constraints.
This API uses an offset and limit approach to paging.
Paged responses return their values within two objects.
One describes the page that is being returned, and the other is the collection of items.
|
Response size limit. A response that returns too much data can exceed the maximum size the API is able to process. When this happens the request fails with
To resolve it, lower the |
Page Request
The Common page request parameters:
| Parameter | Description | Required | Constraints |
|---|---|---|---|
changedSince |
Return only projects updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only projects updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
offset |
The (zero-based) offset of the first item in the collection to return (Default: 0) |
No |
>= 0 |
limit |
The maximum number of entries to return (Default: 10) |
No |
Min: 1, Max: 1,000 |
Page Response
The Common Page object is described here:
| Field | Type | Description | Constraints |
|---|---|---|---|
next |
String |
URI to request the next page, keeping the limit consistent |
|
previous |
String |
URI to request the previous page, keeping the limit consistent |
|
limit |
Number |
The limit used to generate the page |
Must be at least 1 Must be at most 1000 |
offset |
Number |
The offset value used to generate the page |
Must be at least 0 |
nextOffset |
String |
The offset of the next element |
|
totalElements |
Number |
The total number of elements matching the request |
API Rate Limiting
In order to respond quickly to your REST API calls, Raken has implemented overload protection for Public API via rate limiting.
If you are calling the API too frequently or have exceeded the quota available for your company, further API calls would be throttled and fail with HTTP status code 429. In a case where rate limiting occurs, you can retry after the end of the reporting period when API calls will be allowed again.
These limits are enforced on the Public API:
-
Rate limit restricts the maximum number of API requests a user can make per second. When exceeded, the API returns HTTP 429 (Too Many requests).
-
Burst limit restricts the maximum number of API requests a user can make concurrently. When exceeded, the API returns HTTP 429 (Too Many requests).
-
Quota restricts the maximum number of API requests a user can make per day. When exceeded, the API returns HTTP 429 (Limit Exceeded).
The limits are configured by Raken based on your subscription plan. Please contact your customer service manager for details.
Test with Postman
Import Raken Public API 3.0 Postman Collection
-
Make sure you have Postman installed on your system. If you haven’t already done so, you can download and install it from Postman’s official website.
-
Copy this link: Raken Public API 3.0 Postman Collection
-
Open Postman, click
Import, and paste the link to import the collection.
Obtain Client Id and Secret
To use the Raken Public API, you need to obtain your client_id and client_secret. You can do this by following these steps:
-
Visit the Raken Developer Page at https://app.rakenapp.com/developer/apps.
-
Create a new app or use an existing one to obtain your
client_idandclient_secretfrom the App. -
Save the
client_idandclient_secretto two variables under theVariablessection on the Postman collection’s home page:-
api_client_id -
api_client_secret
-
Get a New Access Token
-
Click
Get New Access Tokenunder theAuthorizationsection on the Postman collection’s home page. This action initiates an OAuth2 flow. -
You will be redirected to a browser window where you will be prompted to log in using your Raken user credentials.
-
Once the OAuth2 flow is complete, an access token will be returned.
-
Click
Use Tokento save the token for making public API calls.
Make API Calls
With the access token in place, you can now select and make API calls from the collection. Please note that the payload for some API calls in the collection is for demonstration purposes only. For detailed API information, refer to the API documentation below.
Resources
|
Budgets
List Budgets
GET /budgets
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuid |
Restrict the budgets to the projects represented by this UUID. |
Yes |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
costCode.uuid |
String |
Unique identifier for the cost code |
|
budgetedHours |
Number |
Budgeted hours for the cost code |
|
budgetedMaterials |
Array |
Materials included in the budget |
|
budgetedMaterials[].quantity |
Number |
Budgeted quantity of material |
|
budgetedMaterials[].material.uuid |
String |
Unique identifier for this material |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/budgets?projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/budgets?projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&offset=0&limit=5",
"next" : "/budgets?projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"budgetedHours" : 30.83,
"costCode" : {
"uuid" : "05b1a858-3a66-4efc-bb45-a560d4a0e74e"
},
"budgetedMaterials" : [ {
"quantity" : 39.0,
"material" : {
"uuid" : "4384ac87-a14e-4381-b532-1d38ec0acd4f"
}
}, {
"quantity" : 28.0,
"material" : {
"uuid" : "da952666-e82f-40f6-a91b-d63febcb28a7"
}
} ]
}, {
"budgetedHours" : 16.9,
"costCode" : {
"uuid" : "ebbce023-0aa6-4a6c-a8db-dceab050a735"
},
"budgetedMaterials" : [ {
"quantity" : 47.0,
"material" : {
"uuid" : "c222d621-fb8e-4f49-b4ea-112977c9c27d"
}
}, {
"quantity" : 88.0,
"material" : {
"uuid" : "e69d3edc-d450-41ba-b0cf-8aa3e35a05f2"
}
} ]
} ]
}
Certification Types
List Certification Types
GET /certificationTypes
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
query |
Search term to match against name and description of certification types |
No |
|
changedSince |
Return only certification types updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only certification types updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
fromCreatedAt |
Return only certification types created at or after this time, inclusive. fromCreatedAt must be before or equal to toCreatedAt. The date range is capped to 31 days to toCreatedAt. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
toCreatedAt |
Return only certification types created before this time, exclusive |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the certification type |
|
name |
String |
Name of the certification type |
|
description |
String |
Description of the certification type |
|
createdBy |
Object |
Member who created the certification type |
|
createdBy.uuid |
String |
Unique identifier for the member who created the certification type |
|
createdBy.name |
String |
Name of the member who created the certification type |
|
updatedBy |
Object |
Member who updated the certification type |
|
updatedBy.uuid |
String |
Unique identifier for the member who updated the certification type |
|
updatedBy.name |
String |
Name of the member who updated the certification type |
|
createdAt |
String |
Date and Time (UTC) when the certification type was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the certification type was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/certificationTypes?query=query&fromCreatedAt=2024-03-03T14:00:00Z&toCreatedAt=2024-03-13T14:00:00Z&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&limit=10&offset=0' -i -X GET
Response body
{
"page" : {
"offset" : 0,
"limit" : 10,
"totalElements" : 10
},
"collection" : [ {
"uuid" : "d2750a53-9789-4dc8-8a78-53273f6b06b2",
"name" : "Kuphal-Ebert",
"description" : "Libero dolore vitae consectetur rem provident vel.",
"createdAt" : "2026-10-06T01:28:45Z",
"updatedAt" : "2026-10-06T01:28:45Z",
"createdBy" : {
"uuid" : "ec5f274f-8b47-4534-9866-588e33e59807",
"name" : "Miquel Cremin"
},
"updatedBy" : {
"uuid" : "a6b52c4e-bdb7-4357-a062-634f974d3ecb",
"name" : "Timothy VonRueden"
}
} ]
}
Certifications
List Certifications
GET /certifications
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
query |
Search for certifications based on certification name and class |
No |
|
certificationTypeUuids |
Return only certifications with the specified certification types |
No |
|
changedSince |
Return only certifications updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only certifications updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
fromCreatedAt |
Return only certifications created at or after this time, inclusive. fromCreatedAt must be before or equal to toCreatedAt. The date range is capped to 31 days to toCreatedAt. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
toCreatedAt |
Return only certifications created before this time, exclusive |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the certification |
|
name |
String |
Name of the certification |
|
createdBy |
Object |
Member who created the certification |
|
createdBy.uuid |
String |
Unique identifier for the member who created the certification |
|
createdBy.name |
String |
Name of the member who created the certification |
|
updatedBy |
Object |
Member who updated the certification |
|
updatedBy.uuid |
String |
Unique identifier for the member who updated the certification |
|
updatedBy.name |
String |
Name of the member who updated the certification |
|
createdAt |
String |
Date and Time (UTC) when the certification was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the certification was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
certificationType |
Object |
Certification type associated with this certification |
|
certificationType.name |
String |
Name of this certification type |
|
certificationType.uuid |
String |
Unique identifier for this classification type |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/certifications?query=query&certificationTypeUuids=cae8123b-b525-4822-9e44-7f2e587131cc,4838b701-1e54-4d56-b81a-0c59872072aa&fromCreatedAt=2024-03-03T14:00:00Z&toCreatedAt=2024-03-13T14:00:00Z&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&limit=10&offset=0' -i -X GET
Response body
{
"page" : {
"offset" : 0,
"limit" : 10,
"totalElements" : 10
},
"collection" : [ {
"uuid" : "7c11be6e-6ada-42d3-8f2d-807d6192d177",
"name" : "First Aid",
"certificationType" : {
"uuid" : "2be54f41-6118-4b48-903f-ba901b1fc8b2",
"name" : "Search and Rescue"
},
"createdAt" : "2026-10-06T01:28:52Z",
"updatedAt" : "2026-10-06T01:28:52Z",
"createdBy" : {
"uuid" : "ce023293-30d2-4b9d-ac4b-3826dd352017",
"name" : "Sheryll Wiza V"
},
"updatedBy" : {
"uuid" : "10deddfe-ba77-46d2-9631-7d2f262aace0",
"name" : "Charlette Haley"
}
} ]
}
Create Certification
POST /certifications
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Certification name |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
certificationTypeUuid |
String |
Unique identifier of the certification type for the certification |
Yes |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the certification |
|
name |
String |
Name of the certification |
|
createdBy |
Object |
Member who created the certification |
|
createdBy.uuid |
String |
Unique identifier for the member who created the certification |
|
createdBy.name |
String |
Name of the member who created the certification |
|
updatedBy |
Object |
Member who updated the certification |
|
updatedBy.uuid |
String |
Unique identifier for the member who updated the certification |
|
updatedBy.name |
String |
Name of the member who updated the certification |
|
createdAt |
String |
Date and Time (UTC) when the certification was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the certification was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
certificationType |
Object |
Certification type associated with this certification |
|
certificationType.name |
String |
Name of this certification type |
|
certificationType.uuid |
String |
Unique identifier for this classification type |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/certifications' -i -X POST \
-H 'Content-Type: application/json' \
-d '{
"name" : "First Aid",
"certificationTypeUuid" : "3c7a437c-e07e-4ffe-8ca0-5f5c9c127432"
}'
Response body
{
"uuid" : "7c11be6e-6ada-42d3-8f2d-807d6192d177",
"name" : "First Aid",
"certificationType" : {
"uuid" : "486c2375-a024-48d1-830c-0e3d34258afd",
"name" : "Search and Rescue"
},
"createdAt" : "2026-10-06T01:28:51Z",
"updatedAt" : "2026-10-06T01:28:51Z",
"createdBy" : {
"uuid" : "23ebed36-d1d0-4ccb-becb-e4d81d3c93ab",
"name" : "Joshua Wintheiser Sr."
},
"updatedBy" : {
"uuid" : "2bb4e7c1-b25b-44dc-97fe-043851897dd6",
"name" : "Will Fritsch"
}
}
Update Certification
PATCH /certifications/{uuid}
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Certification name |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
certificationTypeUuid |
String |
Unique identifier of the certification type for the certification |
Yes |
|
certificationTypeName |
String |
Name of the certification type for the certification |
Yes |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the certification |
|
name |
String |
Name of the certification |
|
createdBy |
Object |
Member who created the certification |
|
createdBy.uuid |
String |
Unique identifier for the member who created the certification |
|
createdBy.name |
String |
Name of the member who created the certification |
|
updatedBy |
Object |
Member who updated the certification |
|
updatedBy.uuid |
String |
Unique identifier for the member who updated the certification |
|
updatedBy.name |
String |
Name of the member who updated the certification |
|
createdAt |
String |
Date and Time (UTC) when the certification was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the certification was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
certificationType |
Object |
Certification type associated with this certification |
|
certificationType.name |
String |
Name of this certification type |
|
certificationType.uuid |
String |
Unique identifier for this classification type |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/certifications/7c11be6e-6ada-42d3-8f2d-807d6192d177' -i -X PATCH \
-H 'Content-Type: application/json' \
-d '{
"name" : "First Aid",
"certificationTypeUuid" : "192814ed-8af6-4d4a-9ee3-0658dbc735ac",
"certificationTypeName" : "Search and Rescue"
}'
Response body
{
"uuid" : "7c11be6e-6ada-42d3-8f2d-807d6192d177",
"name" : "First Aid",
"certificationType" : {
"uuid" : "ae35c5bc-f18b-4d24-ba60-2860ff385f1c",
"name" : "Search and Rescue"
},
"createdAt" : "2026-10-06T01:28:52Z",
"updatedAt" : "2026-10-06T01:28:52Z",
"createdBy" : {
"uuid" : "02206fc0-7ba6-483f-87bf-5db663beaf3e",
"name" : "Mrs. Nelson Langworth"
},
"updatedBy" : {
"uuid" : "f76a4638-7ac2-473f-80dc-6c2121f954bd",
"name" : "Cami Mann"
}
}
Checklist Types
List Checklist Types
GET /checklistTypes
The maximum value of the limit parameter for this endpoint is 100.
|
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
classes |
Return only checklist types with these classes |
No |
Enums: COMMISSIONING, EQUIPMENT, QUALITY, ENVIRONMENTAL, SAFETY, GENERAL |
statuses |
Return only checklist types with this statuses |
No |
Enums: ACTIVE, DELETED |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the checklist type |
|
createdAt |
String |
Date and Time (UTC) when the checklist type was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
status |
String |
Status of the checklist type |
Enums: ACTIVE, DELETED |
class |
String |
Class of the checklist type |
|
name |
String |
Name of the checklist type |
|
createdBy.uuid |
String |
Unique identifier for the user who created the checklist type |
|
createdBy.name |
String |
Name of the user who created the checklist |
|
updatedAt |
String |
Date and Time (UTC) when the checklist type was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/checklistTypes?classes=GENERAL&classes=QUALITY&statuses=ACTIVE&statuses=DELETED&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/checklistTypes?classes=GENERAL&classes=QUALITY&statuses=ACTIVE&statuses=DELETED&offset=0&limit=5",
"next" : "/checklistTypes?classes=GENERAL&classes=QUALITY&statuses=ACTIVE&statuses=DELETED&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "d7d603d1-842c-4437-a00a-39ce187b6846",
"createdAt" : "2026-10-06T01:28:56Z",
"status" : "ACTIVE",
"createdBy" : {
"uuid" : "8ffedac7-552a-40b2-a19d-38d0ca3dce19",
"name" : "User Name"
},
"updatedAt" : "2026-10-06T01:28:56Z",
"class" : "GENERAL",
"name" : "Hazard Mitigation"
}, {
"uuid" : "ab709320-cd66-4ce8-9086-6e83135836ed",
"createdAt" : "2026-10-06T01:28:56Z",
"status" : "ACTIVE",
"createdBy" : {
"uuid" : "9b38dbaa-481e-422d-932e-4f3eb1df9859",
"name" : "User Name"
},
"updatedAt" : "2026-10-06T01:28:56Z",
"class" : "GENERAL",
"name" : "Hazard Mitigation"
}, {
"uuid" : "973380a6-deb4-479b-a26c-6b5880aa44f6",
"createdAt" : "2026-10-06T01:28:56Z",
"status" : "ACTIVE",
"createdBy" : {
"uuid" : "ae7fe340-3987-4236-aa94-856c66d87131",
"name" : "User Name"
},
"updatedAt" : "2026-10-06T01:28:56Z",
"class" : "GENERAL",
"name" : "Hazard Mitigation"
}, {
"uuid" : "54181d15-cb5e-4a2f-bea3-a4255a762a73",
"createdAt" : "2026-10-06T01:28:56Z",
"status" : "ACTIVE",
"createdBy" : {
"uuid" : "1dfdd37a-e300-4cd1-b208-f70064779587",
"name" : "User Name"
},
"updatedAt" : "2026-10-06T01:28:56Z",
"class" : "GENERAL",
"name" : "Hazard Mitigation"
}, {
"uuid" : "ecc4174a-2b20-4f82-bc97-c780f2af9d0a",
"createdAt" : "2026-10-06T01:28:56Z",
"status" : "ACTIVE",
"createdBy" : {
"uuid" : "c3d02a46-aa9b-473e-8cf1-4a0a5a019e6e",
"name" : "User Name"
},
"updatedAt" : "2026-10-06T01:28:56Z",
"class" : "GENERAL",
"name" : "Hazard Mitigation"
} ]
}
Checklists
List Checklists
GET /checklists
The maximum value of the limit parameter for this endpoint is 100.
|
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuid |
Return only checklists for the project |
No |
|
statuses |
Return only checklists with these statuses. The default is COMPLETED |
No |
Enums: COMPLETED, DRAFT, DELETED, SCHEDULED |
createdByUuid |
Return only checklists created by a user identified by the unique identifier |
No |
|
templateUuid |
Return only checklists created from a template identified by the unique identifier |
No |
|
fromCreatedAt |
Return only checklists created at or after this time, inclusive. fromCreatedAt must be before or equal to toCreatedAt. The date range is capped to 31 days to toCreatedAt. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
toCreatedAt |
Return only checklists created before this time, exclusive |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
checklistDateFrom |
Return only checklists with the checklist date at or after this time, inclusive. checklistDateFrom must be before or equal to checklistDateTo. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
checklistDateTo |
Return only checklists with the checklist date at or before this time, inclusive |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
checklistTypeUuid |
Return only checklists with a checklist type identified by the unique identifier |
No |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the checklist |
|
name |
String |
Name of the checklist |
|
projectUuid |
String |
Unique identifier for the project that the checklist belongs to |
|
templateUuid |
String |
Unique identifier for the template of the checklist |
|
pdfUrl |
String |
URL for downloading the checklist PDF |
|
createdAt |
String |
Date and Time (UTC) when the checklist was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the checklist was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
status |
String |
Status of the checklist |
Enums: COMPLETED, DRAFT, DELETED, SCHEDULED |
createdBy.uuid |
String |
Unique identifier for the user who created the checklist |
|
createdBy.name |
String |
Name of the user who created the checklist |
|
location.name |
String |
Location where the checklist was made |
|
location.fullPath |
String |
Full path location where the checklist was made |
|
checklistTypeUuid |
String |
Unique identifier for the checklist type |
|
observationsClosedCount |
Number |
The number of observations raised on the checklist that have been closed |
|
observationsRaisedCount |
Number |
The number of observations raised on the checklist |
|
responsibleClassificationUuid |
String |
Unique identifier for the responsible party classification |
|
checklistDate |
String |
Date and time for this checklist |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/checklists?projectUuid=60611827-5dfb-4d8b-98c8-26ab2672afd8&templateUuid=5cb10c71-1f28-4319-bd79-0a5a4e65c297&createdByUuid=15008a27-3c74-4f7f-b24f-c7b6179bf512&fromCreatedAt=2026-10-05T01:29:01Z&toCreatedAt=2026-10-06T01:29:01Z&checklistTypeUuid=4769ea46-e69b-4f3b-8306-0704805aee47&statuses=COMPLETED&statuses=DRAFT&checklistDateFrom=2026-10-05T01:29:01Z&checklistDateTo=2026-10-06T01:29:01Z&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/checklists?projectUuid=60611827-5dfb-4d8b-98c8-26ab2672afd8&templateUuid=5cb10c71-1f28-4319-bd79-0a5a4e65c297&createdByUuid=15008a27-3c74-4f7f-b24f-c7b6179bf512&fromCreatedAt=2026-10-05T01:29:01Z&toCreatedAt=2026-10-06T01:29:01Z&checklistTypeUuid=4769ea46-e69b-4f3b-8306-0704805aee47&statuses=COMPLETED&statuses=DRAFT&checklistDateFrom=2026-10-05T01:29:01Z&checklistDateTo=2026-10-06T01:29:01Z&offset=0&limit=5",
"next" : "/checklists?projectUuid=60611827-5dfb-4d8b-98c8-26ab2672afd8&templateUuid=5cb10c71-1f28-4319-bd79-0a5a4e65c297&createdByUuid=15008a27-3c74-4f7f-b24f-c7b6179bf512&fromCreatedAt=2026-10-05T01:29:01Z&toCreatedAt=2026-10-06T01:29:01Z&checklistTypeUuid=4769ea46-e69b-4f3b-8306-0704805aee47&statuses=COMPLETED&statuses=DRAFT&checklistDateFrom=2026-10-05T01:29:01Z&checklistDateTo=2026-10-06T01:29:01Z&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "bd4c5c49-2f0a-4751-ac20-f83266ee42ef",
"templateUuid" : "c75b95d7-1be7-41d8-96b6-421d8250f776",
"name" : "Activity Risk Assessment",
"status" : "DRAFT",
"projectUuid" : "00f7560d-ba85-4daa-a7a2-8d3b29b2b665",
"pdfUrl" : "https://www.scarlett-kerluke.io/eaque/autem?totam=reiciendis&laborum=iusto",
"createdBy" : {
"uuid" : "aeb32596-72f1-47e3-8447-0bed80db18ca",
"name" : "Kelsi Zieme"
},
"createdAt" : "2024-12-13T02:27:10Z",
"updatedAt" : "2025-09-03T21:30:15Z",
"location" : {
"fullPath" : "Location full path",
"name" : "Hansen Plain"
},
"checklistTypeUuid" : "6e0f1752-38ec-4538-b397-1e3b4020c2f9",
"observationsClosedCount" : 5,
"observationsRaisedCount" : 3,
"responsibleClassificationUuid" : "901d1452-e7d8-40de-838e-94cc627eda65",
"checklistDate" : "2026-10-06T01:29:01"
}, {
"uuid" : "a6ce47f0-4037-4e6f-8ef2-63bbe3fe97ce",
"templateUuid" : "cddcbf4c-8cee-434b-a53b-68e4180a550d",
"name" : "Construction Quality Control",
"status" : "DRAFT",
"projectUuid" : "e9cc011a-4f86-4828-afbf-83a4985fd063",
"pdfUrl" : "https://www.arthur-weissnat.co/magni/repudiandaequia#quaerat",
"createdBy" : {
"uuid" : "e15b46e9-db92-4403-8100-b95fdc1e88c9",
"name" : "Miss Bud Heathcote"
},
"createdAt" : "2025-12-11T02:37:08Z",
"updatedAt" : "2026-04-21T09:13:33Z",
"location" : {
"fullPath" : "Location full path",
"name" : "Rodriguez Drives"
},
"checklistTypeUuid" : "5edac337-3099-488e-a370-51794ee52789",
"observationsClosedCount" : 4,
"observationsRaisedCount" : 3,
"responsibleClassificationUuid" : "5f837c91-1009-4bf2-8133-a570b730b044",
"checklistDate" : "2026-10-06T01:29:01"
}, {
"uuid" : "ec1fe396-6635-4dba-b423-35204222ea99",
"templateUuid" : "58d3701b-b9bb-49ae-a321-3026854d9f8f",
"name" : "Covid-19 Inspection",
"status" : "DRAFT",
"projectUuid" : "b61aa900-5cc5-4c7c-ae3f-432dda40fd62",
"pdfUrl" : "http://www.walton-wolff.name:49064/",
"createdBy" : {
"uuid" : "0b8f55fd-853f-4a5b-a16c-6c2d60ca643d",
"name" : "Darryl Bruen DDS"
},
"createdAt" : "2026-10-03T01:56:10Z",
"updatedAt" : "2026-10-04T03:33:03Z",
"location" : {
"fullPath" : "Location full path",
"name" : "Bergstrom Overpass"
},
"checklistTypeUuid" : "2726901b-3ad8-43ad-adce-d8523b94ec33",
"observationsClosedCount" : 8,
"observationsRaisedCount" : 3,
"responsibleClassificationUuid" : "09aeb172-d644-40bb-ab5a-544114c96da3",
"checklistDate" : "2026-10-06T01:29:01"
}, {
"uuid" : "517c131b-4faa-4155-9b87-910560e2d449",
"templateUuid" : "86dd362a-e46c-4758-951c-7305d2dba32b",
"name" : "Framing Pre-Inspection",
"status" : "COMPLETED",
"projectUuid" : "14b789a8-91b8-4b51-b739-cc9ed67e822c",
"pdfUrl" : "https://www.zack-daniel.co/amet?adipisci=magnam&vel=similique",
"createdBy" : {
"uuid" : "4ca8c51e-cb95-4e5e-a007-65560ffc766f",
"name" : "Marica Cartwright"
},
"createdAt" : "2025-06-23T06:28:01Z",
"updatedAt" : "2026-03-23T14:26:06Z",
"location" : {
"fullPath" : "Location full path",
"name" : "Moises Junctions"
},
"checklistTypeUuid" : "cd5ac76d-56aa-4d3e-b352-1293997c5e39",
"observationsClosedCount" : 1,
"observationsRaisedCount" : 4,
"responsibleClassificationUuid" : "71a25319-0069-4e79-b917-9a8240371a98",
"checklistDate" : "2026-10-06T01:29:01"
}, {
"uuid" : "2bb25c5f-7163-4067-bada-6236d6726f7d",
"templateUuid" : "d2d4ae99-9307-4367-a355-6bf559e5bf92",
"name" : "Material Delivery",
"status" : "COMPLETED",
"projectUuid" : "1ca46b1f-7d96-42f6-8280-ab46e8e3871d",
"pdfUrl" : "https://www.martine-west.com/perspiciatis/qui?modi=pariatur&omnis=dolor#quisquam",
"createdBy" : {
"uuid" : "e668bc76-2e92-4bb9-94a1-042aa5d39715",
"name" : "Mertie Ledner Jr."
},
"createdAt" : "2026-09-15T18:17:26Z",
"updatedAt" : "2026-10-04T13:40:19Z",
"location" : {
"fullPath" : "Location full path",
"name" : "Ken Villages"
},
"checklistTypeUuid" : "1395bdb4-c627-4d12-bbc6-36d52af3f5e0",
"observationsClosedCount" : 5,
"observationsRaisedCount" : 3,
"responsibleClassificationUuid" : "5919fbfd-4e6d-4e7a-baf5-03e0e09bf4d6",
"checklistDate" : "2026-10-06T01:29:01"
} ]
}
Get Checklist
GET /checklists/{uuid}
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the checklist |
|
name |
String |
Name of the checklist |
|
projectUuid |
String |
Unique identifier for the project that the checklist belongs to |
|
templateUuid |
String |
Unique identifier for the template of the checklist |
|
pdfUrl |
String |
URL for downloading the checklist PDF |
|
createdAt |
String |
Date and Time (UTC) when the checklist was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the checklist was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
status |
String |
Status of the checklist |
Enums: COMPLETED, DRAFT, DELETED, SCHEDULED |
createdBy.uuid |
String |
Unique identifier for the user who created the checklist |
|
createdBy.name |
String |
Name of the user who created the checklist |
|
location.name |
String |
Location where the checklist was made |
|
location.fullPath |
String |
Full path location where the checklist was made |
|
checklistTypeUuid |
String |
Unique identifier for the checklist type |
|
observationsClosedCount |
Number |
The number of observations raised on the checklist that have been closed |
|
observationsRaisedCount |
Number |
The number of observations raised on the checklist |
|
responsibleClassificationUuid |
String |
Unique identifier for the responsible party classification |
|
checklistDate |
String |
Date and time for this checklist |
|
checklistSections |
Array |
Sections of the checklist |
|
checklistSections[].position |
Number |
Order of the section in the list |
|
checklistSections[].title |
String |
Title of the section |
|
checklistSections[].description |
String |
Description of the section |
|
checklistSections[].checklistQuestions |
Array |
Questions under the section |
|
checklistSections[].checklistQuestions[].questionText |
String |
Question text |
|
checklistSections[].checklistQuestions[].responseType |
String |
Response type |
Enums: TABLE, MULTI_CHOICE, DATE, CHECKBOX, NUMBER, STAR_RATING, YES_NO_NA, TEXT, TIME, YES_NO, SIGNATURE |
checklistSections[].checklistQuestions[].position |
Number |
Order of the question in the section |
|
checklistSections[].checklistQuestions[].required |
Boolean |
Flag that indicates whether or not the question must be answered |
Boolean value: true or false |
checklistSections[].checklistQuestions[].checklistResponses |
Array |
Question responses |
|
checklistSections[].checklistQuestions[].checklistResponses[].value |
String |
Response to the question |
|
checklistSections[].checklistQuestions[].checklistResponses[].note |
String |
Response notes |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments |
Array |
Response attachments |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].uuid |
String |
Unique identifier for this attachment |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].mediaType |
String |
Media type for this attachment |
Enums: IMAGE, VIDEO, DOCUMENT, AUDIO |
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].url |
String |
URL for this attachment |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].thumbnailUrl |
String |
Thumbnail URL for this attachment |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].contentType |
String |
Content type for this attachment (e.g. 'image/jpeg', 'image/png') |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].description |
String |
Description of this attachment |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].fileName |
String |
File name of this attachment |
|
checklistSections[].checklistQuestions[].checklistResponses[].checklistResponseAttachments[].fileSize |
Number |
Size of this attachment in bytes |
|
checklistSections[].checklistQuestions[].checklistResponses[].choices |
Array |
Response choices |
|
checklistSections[].checklistQuestions[].checklistResponses[].choices[].position |
Number |
Order of the choice in the list |
|
checklistSections[].checklistQuestions[].checklistResponses[].choices[].description |
String |
Description of the choice |
|
checklistSections[].checklistQuestions[].checklistResponses[].choices[].selected |
Boolean |
Flag that indicates whether or not the choice is selected |
Boolean value: true or false |
checklistSections[].checklistQuestions[].checklistResponses[].observations[].uuid |
String |
Unique identifier of the observation on this checklist response |
|
checklistSections[].checklistQuestions[].checklistResponses[].observations[].category |
String |
Category of the observation on this checklist response |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/checklists/686f9084-ce57-477b-b5bb-c9d9aabdbe90' -i -X GET
Response body
{
"uuid" : "686f9084-ce57-477b-b5bb-c9d9aabdbe90",
"templateUuid" : "b7c5990b-4328-402e-bd66-8336829c1f9e",
"name" : "Construction Quality Control",
"status" : "COMPLETED",
"projectUuid" : "3124eb07-92e2-4d63-abf8-a1dba3aa9913",
"pdfUrl" : "https://www.jaqueline-wyman.info/occaecati?velit=dolor&dolorum=aspernatur",
"createdBy" : {
"uuid" : "a9a11be4-affe-4c47-b768-7fc02a03f237",
"name" : "Jonathon Howe"
},
"createdAt" : "2026-04-02T07:21:36Z",
"updatedAt" : "2026-07-25T09:05:45Z",
"location" : {
"fullPath" : "Location full path",
"name" : "Schoen Ford"
},
"checklistTypeUuid" : "81bddd90-db7e-4b2c-8741-722e45f0899b",
"observationsClosedCount" : 8,
"observationsRaisedCount" : 2,
"responsibleClassificationUuid" : "9aaaa547-c0b7-457d-ac94-67d6b33669e4",
"checklistDate" : "2026-10-06T01:29:01",
"checklistSections" : [ {
"checklistQuestions" : [ {
"checklistResponses" : [ {
"value" : "Eaque dolorem vitae minima error rerum earum.",
"note" : "Maiores perferendis sed. Rerum qui quos sit ipsam et cupiditate. Nihil officia labore commodi odit voluptatibus non.",
"checklistResponseAttachments" : [ {
"uuid" : "3e6a7301-a016-4c1d-acca-6f593aee4911",
"url" : "https://www.example.com/image",
"description" : "Description",
"fileName" : "est.jpg",
"thumbnailUrl" : "https://www.example.com/thumbnailImage",
"contentType" : "image/png",
"mediaType" : "IMAGE",
"fileSize" : 9433
} ],
"choices" : [ {
"description" : "Choice 1",
"position" : 1,
"selected" : true
}, {
"description" : "Choice 2",
"position" : 2,
"selected" : false
} ],
"observations" : [ {
"uuid" : "c370b3b8-ae5e-4a7b-9300-8e3cba04ee35",
"category" : "NEGATIVE"
} ]
} ],
"questionText" : "Are access routes in good condition and clearly signposted?",
"responseType" : "CHECKBOX",
"position" : 1,
"required" : true
}, {
"checklistResponses" : [ {
"value" : "Esse consequatur soluta suscipit.",
"note" : "Earum ea inventore distinctio enim non.",
"checklistResponseAttachments" : [ {
"uuid" : "5786a365-2c91-4336-8df9-dbf454737702",
"url" : "https://www.example.com/image",
"description" : "Description",
"fileName" : "quaerat.jpg",
"thumbnailUrl" : "https://www.example.com/thumbnailImage",
"contentType" : "image/png",
"mediaType" : "IMAGE",
"fileSize" : 12016
} ],
"choices" : [ {
"description" : "Choice 1",
"position" : 1,
"selected" : true
}, {
"description" : "Choice 2",
"position" : 2,
"selected" : false
} ],
"observations" : [ {
"uuid" : "0c0d79dc-8aa3-4de1-8058-1849a4cda46a",
"category" : "NEGATIVE"
} ]
} ],
"questionText" : "Do edges that people could fall from have suitable edge protection?",
"responseType" : "CHECKBOX",
"position" : 2,
"required" : false
} ],
"position" : 1,
"title" : "Section 1",
"description" : "Description about the section"
} ]
}
List Checklist Templates
GET /checklists/templates
The maximum value of the limit parameter for this endpoint is 100.
|
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
statuses |
Return only checklist templates with given statuses. The default is ACTIVE |
No |
Enums: ACTIVE, DRAFT, DELETED |
checklistTypeUuids |
Return only checklist templates with the specified checklist type(s) by the unique identifier |
No |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the checklist template |
|
name |
String |
Name of the checklist template |
|
createdAt |
String |
Date and Time (UTC) when the checklist template was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the checklist template was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
status |
String |
Status of the checklist template |
Enums: ACTIVE, DRAFT, DELETED |
checklistType.uuid |
String |
Unique identifier for the checklist type |
|
checklistType.class |
String |
Class for the checklist type |
|
checklistType.name |
String |
Name for the checklist type |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/checklists/templates?statuses=ACTIVE&statuses=DRAFT&checklistTypeUuids=c7bab5bb-2d3b-438d-9112-167aee7005ab&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/checklists/templates?statuses=ACTIVE&statuses=DRAFT&checklistTypeUuids=c7bab5bb-2d3b-438d-9112-167aee7005ab&offset=0&limit=5",
"next" : "/checklists/templates?statuses=ACTIVE&statuses=DRAFT&checklistTypeUuids=c7bab5bb-2d3b-438d-9112-167aee7005ab&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "dcd3def0-9814-409e-bd99-84ffbe0840d5",
"name" : "Activity Risk Assessment",
"status" : "ACTIVE",
"createdAt" : "2025-11-08T01:43:36Z",
"updatedAt" : "2026-08-12T02:17:15Z",
"checklistType" : {
"uuid" : "30a6182f-033a-42b1-9b89-cf27fe2c3fbe",
"class" : "COMMISSIONING",
"name" : "Raken Commissioning Checklists"
}
}, {
"uuid" : "571a739d-68fc-437b-9ac2-5f51f1ffc73d",
"name" : "Construction Quality Control",
"status" : "ACTIVE",
"createdAt" : "2026-01-24T19:31:20Z",
"updatedAt" : "2026-03-25T19:37:13Z",
"checklistType" : {
"uuid" : "0ff0ae4f-7f18-42cd-8f85-db3fa5075481",
"class" : "COMMISSIONING",
"name" : "Raken Commissioning Checklists"
}
}, {
"uuid" : "e5b35f19-731d-485c-b8ba-04b51278392d",
"name" : "Covid-19 Inspection",
"status" : "ACTIVE",
"createdAt" : "2026-04-05T05:47:08Z",
"updatedAt" : "2026-09-20T21:07:21Z",
"checklistType" : {
"uuid" : "1944eba1-b2df-45f4-9bf0-872a2e5723d5",
"class" : "EQUIPMENT",
"name" : "Raken Equipment Checklists"
}
}, {
"uuid" : "c13e2e9e-77cb-4491-97d2-cac38b3e58d7",
"name" : "Framing Pre-Inspection",
"status" : "DRAFT",
"createdAt" : "2026-01-06T22:18:40Z",
"updatedAt" : "2026-05-09T11:16:08Z",
"checklistType" : {
"uuid" : "175f0714-f1ed-4871-86a0-1c6b9b901338",
"class" : "SAFETY",
"name" : "Raken Safety Checklists"
}
}, {
"uuid" : "a26b44ff-99cb-491c-ba1b-8ff806dfa7b1",
"name" : "Material Delivery",
"status" : "DRAFT",
"createdAt" : "2026-06-23T00:31:39Z",
"updatedAt" : "2026-09-08T06:06:43Z",
"checklistType" : {
"uuid" : "7c749247-4ed0-4dfc-8ada-aafeab158544",
"class" : "SAFETY",
"name" : "Raken Safety Checklists"
}
} ]
}
Classifications
List Classifications
GET /classifications
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
statuses |
Restrict the classifications to those with these statuses. Multiple statuses can be specified. |
No |
Enums: ACTIVE, DELETED |
changedSince |
Filters results to include only entities that were updated at or after the specified time (inclusive). Must be used with a corresponding |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Filters results to include only entities that were updated before the specified time (exclusive) |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the classification |
|
name |
String |
Classification Name |
|
status |
String |
Classification status |
Enums: ACTIVE, DELETED |
createdAt |
String |
Date and Time (UTC) when the classification was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the classification was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/classifications?statuses=ACTIVE&changedSince=2024-02-24T16:37:26Z&changedUntil=2024-02-25T16:37:26Z&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/classifications?statuses=ACTIVE&changedSince=2024-02-24T16:37:26Z&changedUntil=2024-02-25T16:37:26Z&offset=0&limit=5",
"next" : "/classifications?statuses=ACTIVE&changedSince=2024-02-24T16:37:26Z&changedUntil=2024-02-25T16:37:26Z&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "eeddc2c8-7656-4915-a220-99802bd9e83e",
"name" : "Foreman",
"status" : "ACTIVE",
"updatedAt" : "2026-07-07T18:10:51Z",
"createdAt" : "2026-06-30T09:33:49Z"
}, {
"uuid" : "fb9f83de-1afa-407b-a70d-fcd4b70f23e9",
"name" : "Journeyman",
"status" : "ACTIVE",
"updatedAt" : "2026-09-13T14:45:30Z",
"createdAt" : "2025-05-10T16:07:17Z"
} ]
}
Create Classification
POST /classifications
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Classification Name |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the classification |
|
name |
String |
Classification Name |
|
status |
String |
Classification status |
Enums: ACTIVE, DELETED |
createdAt |
String |
Date and Time (UTC) when the classification was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the classification was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/classifications' -i -X POST \
-H 'Content-Type: application/json' \
-d '{
"name" : "FOREMAN"
}'
Response body
{
"uuid" : "79f6dc9a-e4df-4017-a7c7-ee241cb246a8",
"name" : "FOREMAN",
"status" : "ACTIVE",
"updatedAt" : "2026-09-24T15:41:27Z",
"createdAt" : "2026-09-16T04:07:12Z"
}
Cost Codes
List Cost Codes
GET /costCodes
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuid |
Restrict the cost codes to the projects represented by this UUID. |
No |
|
changedSince |
Return only cost codes updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only cost codes updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the cost code |
|
code |
String |
Code for the cost code |
|
division |
String |
Division for the cost code |
|
description |
String |
Description for the cost code |
|
createdAt |
String |
Date and Time (UTC) when the cost code was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the cost code was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/costCodes?projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&changedSince=2024-02-21T01:00:00Z&changedUntil=2024-02-28T01:00:00Z&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/costCodes?projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&changedSince=2024-02-21T01:00:00Z&changedUntil=2024-02-28T01:00:00Z&offset=0&limit=5",
"next" : "/costCodes?projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&changedSince=2024-02-21T01:00:00Z&changedUntil=2024-02-28T01:00:00Z&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "c3f4f457-c983-4ad6-b3c5-9667757ebbf2",
"code" : "0110",
"division" : "01 - General Conditions",
"description" : "Mockups",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z"
}, {
"uuid" : "5117396f-5cae-4776-a765-c02419108678",
"code" : "0300",
"division" : "03 - Structural & Architectural Concrete",
"description" : "Structural Concrete",
"createdAt" : "2022-07-07T21:41:13Z",
"updatedAt" : "2022-07-09T21:41:17Z"
} ]
}
Create Cost Code
POST /costCodes
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
code |
String |
Code for the cost code |
Yes |
Must not be blank Size must be between 0 and 20 inclusive |
division |
String |
Division for the cost code |
Yes |
Must not be blank Size must be between 0 and 50 inclusive |
projectUuid |
String |
Project UUID which the cost code is created for |
Yes |
Must not be blank |
description |
String |
Description for the cost code |
No |
Size must be between 0 and 60 inclusive |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the cost code |
|
code |
String |
Code for the cost code |
|
division |
String |
Division for the cost code |
|
description |
String |
Description for the cost code |
|
createdAt |
String |
Date and Time (UTC) when the cost code was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the cost code was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/costCodes' -i -X POST \
-H 'Content-Type: application/json' \
-d '{
"code" : "0110",
"division" : "01 - General Conditions",
"description" : "Mockups",
"projectUuid" : "8169fd06-0997-4673-b537-4d9d401b8922"
}'
Response body
{
"uuid" : "4750774d-0d8c-4215-ab38-5d3a297d163b",
"code" : "0110",
"division" : "01 - General Conditions",
"description" : "Mockups",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z"
}
Update Cost Code
PATCH /costCodes/{uuid}
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
division |
String |
Division for the cost code |
No |
Must not be blank Size must be between 0 and 50 inclusive |
description |
String |
Description for the cost code |
No |
Size must be between 0 and 60 inclusive |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the cost code |
|
code |
String |
Code for the cost code |
|
division |
String |
Division for the cost code |
|
description |
String |
Description for the cost code |
|
createdAt |
String |
Date and Time (UTC) when the cost code was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the cost code was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/costCodes/1418881a-4f72-408f-a5e4-812d76a957d0' -i -X PATCH \
-H 'Content-Type: application/json' \
-d '{
"division" : "01 - General Conditions",
"description" : "Mockups"
}'
Response body
{
"uuid" : "1418881a-4f72-408f-a5e4-812d76a957d0",
"code" : "0110",
"division" : "01 - General Conditions",
"description" : "Mockups",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z"
}
Daily Reports
List Daily Reports
GET /dailyReports
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuid |
Return only daily reports for the project. |
Yes |
|
fromDate |
Return daily reports created on or after this date. fromDate must be before or equal to toDate. The date range is capped to 31 days to toDate. |
No |
Format: "yyyy-MM-dd" |
toDate |
Return daily reports created on or before this date. |
No |
Format: "yyyy-MM-dd" |
statuses |
Return only daily reports with given statuses. The default is COMPLETED |
No |
Enums: COMPLETED, UNSIGNED, NO_WORK_DONE |
changedSince |
Return only daily reports updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only daily reports updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the report |
|
status |
String |
Status of the report |
Enums: COMPLETED, UNSIGNED, NO_WORK_DONE |
projectUuid |
String |
Unique identifier for the project that the report is in |
|
reportDate |
String |
Date of the report |
Format: "yyyy-MM-dd" |
createdBy.name |
String |
Name of the user who created the report |
|
createdBy.uuid |
String |
Unique identifier for the user who created the report |
|
updatedBy.name |
String |
Name of the user who last updated the report |
|
updatedBy.uuid |
String |
Unique identifier for the user who last updated the report |
|
signedBy.name |
String |
Name of the user who signed the report |
|
signedBy.uuid |
String |
Unique identifier for the user who signed the report |
|
signedAt |
String |
Date and Time (UTC) when the report was signed |
Format: "yyyy-MM-ddThh:mm:ssZ" |
createdAt |
String |
Date and Time (UTC) when the report was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the report was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
reportLinks.superDaily |
String |
URL of the PDF file for the super daily report |
|
reportLinks.daily |
String |
URL of the PDF file for the daily report |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/dailyReports?projectUuid=3de7dc9e-b59d-4bce-9d01-1c0fec203673&fromDate=2026-10-06&toDate=2026-10-26&statuses=COMPLETED,UNSIGNED&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/dailyReports?projectUuid=3de7dc9e-b59d-4bce-9d01-1c0fec203673&fromDate=2026-10-06&toDate=2026-10-26&statuses=COMPLETED,UNSIGNED&offset=0&limit=5",
"next" : "/dailyReports?projectUuid=3de7dc9e-b59d-4bce-9d01-1c0fec203673&fromDate=2026-10-06&toDate=2026-10-26&statuses=COMPLETED,UNSIGNED&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "0b5d2cb5-1a5a-46ea-a941-8bf6b27c9b0d",
"status" : "COMPLETED",
"reportDate" : "2026-05-14",
"projectUuid" : "c87acefa-7e60-4c0e-84bc-6c0e17cbfe0d",
"signedBy" : {
"uuid" : "a588a9ba-6b3c-4dc4-b233-add3f08ce391",
"name" : "Dr. Scott Collins"
},
"signedAt" : "2026-10-02T03:48:08Z",
"createdBy" : {
"uuid" : "7cd43d0f-4ae4-415e-8861-97d12bcb07fc",
"name" : "Miss Alejandro Champlin"
},
"createdAt" : "2026-05-14T05:31:39Z",
"updatedBy" : {
"uuid" : "8293f697-66e2-4818-9582-9a8b5e5873c1",
"name" : "Cletus Kihn"
},
"updatedAt" : "2026-08-10T12:42:28Z",
"reportLinks" : {
"superDaily" : "http://cdn.rakenapp.com/projects/reports/superdaily/my-projects_2026-05-14_CBBCACAE.pdf",
"daily" : "http://cdn.rakenapp.com/projects/reports/my-projects_2026-05-14_479EC8A2.pdf"
}
}, {
"uuid" : "eadb9f79-0e1e-4055-9fdc-4df96999bd5a",
"status" : "NO_WORK_DONE",
"reportDate" : "2026-09-04",
"projectUuid" : "8658aee5-678b-47c6-8ae1-2d3a804fbd74",
"createdBy" : {
"uuid" : "a32b5013-7d2d-4351-a154-763ff154894f",
"name" : "Jackie Brakus DDS"
},
"createdAt" : "2026-09-04T07:52:49Z",
"updatedBy" : {
"uuid" : "30b32b2b-d342-43c3-811a-9dacb4e9eb3f",
"name" : "Leila Ullrich V"
},
"updatedAt" : "2026-10-05T19:20:43Z",
"reportLinks" : {
"superDaily" : "http://cdn.rakenapp.com/projects/reports/superdaily/my-projects_2026-09-04_1625FED6.pdf",
"daily" : "http://cdn.rakenapp.com/projects/reports/my-projects_2026-09-04_F8401A99.pdf"
}
}, {
"uuid" : "b4abeb6e-340e-4b45-904c-c3cf12ebec1f",
"status" : "UNSIGNED",
"reportDate" : "2026-07-29",
"projectUuid" : "9cd2790d-0724-4e85-b742-f8e07a495154",
"createdBy" : {
"uuid" : "6bbe8bd7-ea32-49bf-bf94-58e52a0fa3a2",
"name" : "Jackson Jast"
},
"createdAt" : "2026-07-29T07:42:36Z",
"updatedBy" : {
"uuid" : "6fa2a02a-c5fb-4bbb-8e6e-0d4b753f55a3",
"name" : "Anamaria Jacobs"
},
"updatedAt" : "2026-07-30T09:11:58Z",
"reportLinks" : {
"superDaily" : "http://cdn.rakenapp.com/projects/reports/superdaily/my-projects_2026-07-29_F52F75C5.pdf",
"daily" : "http://cdn.rakenapp.com/projects/reports/my-projects_2026-07-29_971996CE.pdf"
}
}, {
"uuid" : "14f9063a-4f27-49c8-a3a2-ec1818012a81",
"status" : "NO_WORK_DONE",
"reportDate" : "2025-11-05",
"projectUuid" : "314a6e99-90f3-4e48-912c-4726b2fdb970",
"createdBy" : {
"uuid" : "9e75c4d1-1bcb-44fa-8e40-4efccac5f43f",
"name" : "Myriam Hettinger II"
},
"createdAt" : "2025-11-05T16:50:53Z",
"updatedBy" : {
"uuid" : "2e14389c-6b19-4289-9b8a-422a88d24320",
"name" : "Tisa Beahan"
},
"updatedAt" : "2026-05-27T22:20:51Z",
"reportLinks" : {
"superDaily" : "http://cdn.rakenapp.com/projects/reports/superdaily/my-projects_2025-11-05_80429C1C.pdf",
"daily" : "http://cdn.rakenapp.com/projects/reports/my-projects_2025-11-05_ADAEFD15.pdf"
}
}, {
"uuid" : "7ee49e7b-cb40-4735-a4f3-0411b5ff01ec",
"status" : "NO_WORK_DONE",
"reportDate" : "2026-01-06",
"projectUuid" : "0607e5b4-0548-4c50-b636-09d3fe7184b4",
"createdBy" : {
"uuid" : "6cd344cf-9771-4b3e-8c50-3025bbe6ea23",
"name" : "Mr. Troy Pacocha"
},
"createdAt" : "2026-01-06T11:33:03Z",
"updatedBy" : {
"uuid" : "ff9fbfba-6ed9-45ff-b2ca-48beba32129e",
"name" : "Miss Solomon Hansen"
},
"updatedAt" : "2026-03-07T08:33:01Z",
"reportLinks" : {
"superDaily" : "http://cdn.rakenapp.com/projects/reports/superdaily/my-projects_2026-01-06_83C934AB.pdf",
"daily" : "http://cdn.rakenapp.com/projects/reports/my-projects_2026-01-06_108C3372.pdf"
}
} ]
}
Equipment
List Equipment
GET /equipment
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
conditions |
List of equipment conditions to filter on |
No |
Enums: AVAILABLE, UNDER_MAINTENANCE, DEPLOYED, RETURNED_RETIRED |
deployedToProjectUuids |
UUIDs to filter equipment deployed projects on |
No |
|
query |
Retrieve equipment that has a match for the provided query string |
No |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the equipment |
|
name |
String |
Name of the equipment |
|
rate |
Number |
Billing rate for rented equipment. Omitted from response for owned equipment |
|
frequency |
String |
Rate period frequency for rental equipment billing. Omitted from response for owned equipment |
Enums: WEEKLY, DAILY, MONTHLY, HOURLY |
equipmentId |
String |
External ID for the equipment |
|
owned |
Boolean |
Flag indicating whether the equipment is owned or rented |
Boolean value: true or false |
make |
String |
Make for the equipment |
|
model |
String |
Model for the equipment |
|
type |
String |
Type for this equipment |
|
category |
String |
Category for the equipment |
|
serialNumber |
String |
Serial number of the equipment |
|
supplier |
String |
Supplier for rented equipment. Omitted from response for owned equipment |
|
condition |
String |
Condition of the equipment |
Enums: AVAILABLE, UNDER_MAINTENANCE, DEPLOYED, RETURNED_RETIRED |
totalHours |
Number |
Total operating hours for this equipment for all equipment deployments |
|
totalHoursAvailablePerWeek |
Number |
Total hours per week that this equipment is available for use |
|
idleHours |
Number |
Total idle hours for this equipment for all equipment deployments |
|
odometerType |
String |
Odometer measurement unit type for the equipment |
Enums: MILES, KILOMETERS |
odometerReading |
Number |
Current odometer reading for the equipment |
|
fuelGaugeType |
String |
Fuel gauge measurement unit type for the equipment |
Enums: GALLONS, LITERS |
lifeTimeFuelConsumption |
Number |
Lifetime fuel consumption for this equipment for all equipment deployments |
|
year |
Number |
Model year of the equipment. Format: “yyyy” |
|
returnDate |
String |
Rental return date for rented equipment. Omitted from response for owned equipment |
Format: "yyyy-MM-dd" |
deficiencyCount |
Number |
Number of deficiencies for the equipment with the status OPEN |
|
nextAvailableDate |
String |
Date on which the equipment will next be available |
Format: "yyyy-MM-dd" |
nextMaintenance |
String |
Operation hours or distance until the next required maintenance for this equipment |
|
deployment |
Object |
Current equipment deployment for the equipment. Omitted from response if the equipment is not currently deployed |
|
deployment.uuid |
String |
Unique identifier for this equipment deployment |
|
deployment.projectUuid |
String |
Unique identifier for the project that this equipment deployment is associated with |
|
deployment.startDate |
String |
Start date for this equipment deployment |
Format: "yyyy-MM-dd" |
deployment.endDate |
String |
End date for this equipment deployment |
Format: "yyyy-MM-dd" |
createdBy |
String |
Unique identifier for the user who created the equipment |
|
createdAt |
String |
Date and Time (UTC) when the equipment was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedBy |
String |
Unique identifier for the user who updated the equipment log |
|
updatedAt |
String |
Date and Time (UTC) when the equipment deployement was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/equipment?conditions=AVAILABLE,DEPLOYED&deployedToProjectUuids=e561488d-77a1-42f1-9bd8-57a1936c04e1&query=query&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/equipment?conditions=AVAILABLE,DEPLOYED&deployedToProjectUuids=e561488d-77a1-42f1-9bd8-57a1936c04e1&query=query&offset=0&limit=5",
"next" : "/equipment?conditions=AVAILABLE,DEPLOYED&deployedToProjectUuids=e561488d-77a1-42f1-9bd8-57a1936c04e1&query=query&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"createdBy" : "fa4d5eff-6331-4b4b-991d-8a01e3ccb1f6",
"createdAt" : "2026-10-06T01:29:25Z",
"updatedBy" : "a704c69b-86f2-457c-91ad-1100bb235eca",
"updatedAt" : "2026-10-06T01:29:25Z",
"uuid" : "36582b9d-820f-4f00-9080-a9be2fe5cf80",
"name" : "Compactor",
"rate" : 150.0,
"frequency" : "DAILY",
"equipmentId" : "EQ-1",
"owned" : false,
"make" : "Make",
"model" : "Model",
"type" : "Type",
"category" : "Category",
"serialNumber" : "123",
"supplier" : "Supplier",
"condition" : "DEPLOYED",
"totalHours" : 25.0,
"totalHoursAvailablePerWeek" : 40.0,
"idleHours" : 10.0,
"odometerType" : "KILOMETERS",
"odometerReading" : 1000.0,
"fuelGaugeType" : "LITERS",
"lifeTimeFuelConsumption" : 500.0,
"year" : 2024,
"returnDate" : "2026-10-06",
"deficiencyCount" : 2,
"nextAvailableDate" : "2026-10-16",
"nextMaintenance" : "2024-10-12",
"deployment" : {
"uuid" : "11cba654-943f-4e74-afe6-607ff0500a2e",
"projectUuid" : "b6e7e527-55cc-4052-a7af-3ccbdac75fa2",
"startDate" : "2026-10-06",
"endDate" : "2026-10-16"
}
} ]
}
Equipment Logs
List Equipment Logs
GET /equipmentLogs
| Equipment logs are grouped by their deployment. |
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuids |
UUID of the projects to retrieve equipment deployments for |
No |
|
equipmentUuids |
UUID of the equipment to retrieve equipment deployments for |
No |
|
statuses |
List of statuses to filter equipment logs on |
No |
|
fromDate |
Return equipment deployments starting on, or after, this date. fromDate must be before or equal to toDate. The date range is capped to 31 days to toDate. |
No |
Format: "yyyy-MM-dd" |
toDate |
Return equipment deployments ending on, or before, this date |
No |
Format: "yyyy-MM-dd" |
query |
Retrieve equipment deployments that has a match for the provided query string |
No |
|
changedSince |
Return only equipment deployments updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only equipment deployments updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
fromCreatedAt |
Return only equipment deployments created at or after this time, inclusive. fromCreatedAt must be before or equal to toCreatedAt. The date range is capped to 31 days to toCreatedAt. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
toCreatedAt |
Return only equipment deployments created before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the equipment deployment |
|
startDate |
String |
Date on which the equipment deployment started |
Format: "yyyy-MM-dd" |
endDate |
String |
Date on which the equipment deployment ended |
Format: "yyyy-MM-dd" |
equipment |
Object |
Equipment associated with the equipment deployment |
|
equipment.uuid |
String |
Unique identifier of the equipment associated with the equipment deployment |
|
equipment.equipmentId |
String |
External ID for the equipment associated with the equipment deployment |
|
equipment.name |
String |
Name of the equipment associated with the equipment deployment |
|
projectUuid |
String |
Unique identifier for the project this equipment deployment is associated with |
|
daysOnsite |
Number |
Number of days the equipment has been on site for this equipment deployment |
|
daysNotInUse |
Number |
Number of days during the equipment deployment on which no equipment logs were recorded |
|
createdBy |
String |
Unique identifier for the user who created the equipment deployment |
|
createdAt |
String |
Date and Time (UTC) when the equipment deployment was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedBy |
String |
Unique identifier for the user who updated the equipment log |
|
updatedAt |
String |
Date and Time (UTC) when the equipment deployement was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
logs[] |
Array |
Collection of equipment log on this equipment deployment |
|
logs[].uuid |
String |
Unique identifier of this equipment log |
|
logs[].description |
String |
Description of this equipment log |
|
logs[].date |
String |
Date of this equipment log |
Format: "yyyy-MM-dd" |
logs[].hours |
Number |
Total hours for this equipment log |
|
logs[].idleHours |
Number |
Total idle hours for this equipment log |
|
logs[].status |
String |
Status of this equipment log |
Enums: WITHDRAWN, NOT_IN_USE, IN_USE |
logs[].operator |
String |
Unique identifier for the operator on this equipment log |
|
logs[].odometerReading |
Number |
Odometer reading for this equipment log. Mileage tracking units can be found by querying for the equipment used on this equipment log on the Equipment endpoint |
|
logs[].fuelConsumption |
Number |
Volume of fuel consumed on this equipment log. Fuel consumption units can be found by querying for the equipment used on this equipment log on the Equipment endpoint |
|
logs[].equipmentDeficiencies |
Array |
Collection of equipment deficiencies associated with this equipment log |
|
logs[].equipmentDeficiencies[].faultCode |
String |
Fault code of this equipment deficiency |
|
logs[].equipmentDeficiencies[].description |
String |
Description of this equipment deficiency |
|
logs[].attachments[] |
Array |
Collection of attachments on this equipment log |
|
logs[].attachments[].uuid |
String |
Unique identifier for this attachment |
|
logs[].attachments[].url |
String |
URL for this attachment |
|
logs[].attachments[].description |
String |
Description for this attachment |
|
logs[].attachments[].thumbnailUrl |
String |
Thumbnail URL for this attachment |
|
logs[].attachments[].contentType |
String |
Content type for this attachment (e.g. ‘image/jpeg’, ‘image/png’) |
|
logs[].attachments[].mediaType |
String |
Media type for this attachment |
Enums: IMAGE, VIDEO, DOCUMENT, AUDIO |
logs[].attachments[].fileName |
String |
File name of this attachment |
|
logs[].attachments[].fileSize |
Number |
Size of this attachment in bytes |
|
logs[].createdBy |
String |
Unique identifier of the user who created this equipment log |
|
logs[].createdAt |
String |
Date and Time (UTC) when the equipment log was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
logs[].updatedBy |
String |
Unique identifier of the user who updated this equipment log |
|
logs[].updatedAt |
String |
Date and Time (UTC) when the equipment log was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
costCode |
Object |
Cost code associated with this equipment log |
|
costCode.uuid |
String |
Unique identifier of this cost code |
|
costCode.code |
String |
Code of this cost code |
|
costCode.division |
String |
Division of this cost code |
|
costCode.description |
String |
Description of this cost code |
|
costCode.createdAt |
String |
Date and Time (UTC) when this cost code was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
costCode.updatedAt |
String |
Date and Time (UTC) when this cost code was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
logs[].costCode |
Object |
Cost code associated with this equipment log |
|
logs[].costCode.uuid |
String |
Unique identifier of this cost code |
|
logs[].costCode.code |
String |
Code of this cost code |
|
logs[].costCode.division |
String |
Division of this cost code |
|
logs[].costCode.description |
String |
Description of this cost code |
|
logs[].costCode.createdAt |
String |
Date and Time (UTC) when this cost code was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
logs[].costCode.updatedAt |
String |
Date and Time (UTC) when this cost code was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/equipmentLogs?fromDate=2024-01-01&toDate=2024-01-25&projectUuids=8169fd06-0997-4673-b537-4d9d401b8922&equipmentUuids=8229fd06-0967-4673-b537-4d9d401b8521&statuses=IN_USE,NOT_IN_USE,WITHDRAWN&query=query&fromCreatedAt=2024-03-03T14:00:00Z&toCreatedAt=2024-03-13T14:00:00Z&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/equipmentLogs?fromDate=2024-01-01&toDate=2024-01-25&projectUuids=8169fd06-0997-4673-b537-4d9d401b8922&equipmentUuids=8229fd06-0967-4673-b537-4d9d401b8521&statuses=IN_USE,NOT_IN_USE,WITHDRAWN&query=query&fromCreatedAt=2024-03-03T14:00:00Z&toCreatedAt=2024-03-13T14:00:00Z&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&offset=0&limit=5",
"next" : "/equipmentLogs?fromDate=2024-01-01&toDate=2024-01-25&projectUuids=8169fd06-0997-4673-b537-4d9d401b8922&equipmentUuids=8229fd06-0967-4673-b537-4d9d401b8521&statuses=IN_USE,NOT_IN_USE,WITHDRAWN&query=query&fromCreatedAt=2024-03-03T14:00:00Z&toCreatedAt=2024-03-13T14:00:00Z&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"createdBy" : "3d30bb3b-e975-482a-bf43-37d342b1f490",
"createdAt" : "2026-10-06T01:29:29Z",
"updatedBy" : "33632e49-25e2-4c22-9754-cfcfcb848102",
"updatedAt" : "2026-10-06T01:29:29Z",
"uuid" : "2a7484cc-db90-4d16-b4f9-c84ae9674219",
"equipment" : {
"uuid" : "6e90112a-7190-4600-b5a4-0e16e10d995e",
"name" : "Compactor",
"equipmentId" : "EQ-1"
},
"projectUuid" : "ca459627-5973-4a00-8a76-0d2fc685b723",
"startDate" : "2020-10-10",
"endDate" : "2020-10-13",
"logs" : [ {
"createdBy" : "201cc2ae-5956-4b0b-b7c5-76d19e42043c",
"createdAt" : "2026-10-06T01:29:29Z",
"updatedBy" : "735a5851-9250-49f0-a152-e429e32fc30c",
"updatedAt" : "2026-10-06T01:29:29Z",
"uuid" : "610dac50-e2f9-4163-a973-d131364c54fd",
"description" : "Delivered @ 8am",
"date" : "2020-10-11",
"hours" : 3.0,
"idleHours" : 1.0,
"status" : "IN_USE",
"attachments" : [ {
"uuid" : "29665a03-d8f5-4092-8a33-c87a2477711e",
"url" : "https://www.example.com/image",
"description" : "Description",
"fileName" : "eveniet.jpg",
"thumbnailUrl" : "https://www.example.com/thumbnailImage",
"contentType" : "image/png",
"mediaType" : "IMAGE",
"fileSize" : 5744
} ],
"operator" : "08206696-d078-4207-94d7-70cb57b67f93",
"odometerReading" : 45.0,
"fuelConsumption" : 10.0,
"costCode" : {
"uuid" : "de4d61cf-9570-48eb-bdfe-010b90240529",
"code" : "code",
"division" : "division",
"description" : "description",
"createdAt" : "2026-10-06T01:29:29Z",
"updatedAt" : "2026-10-06T01:29:29Z"
},
"equipmentDeficiencies" : [ {
"faultCode" : "101",
"description" : "Fault description"
} ]
} ],
"costCode" : {
"uuid" : "5c4ec159-0ff2-4931-87e1-82c118986938",
"code" : "code",
"division" : "division",
"description" : "description",
"createdAt" : "2026-10-06T01:29:29Z",
"updatedAt" : "2026-10-06T01:29:29Z"
},
"daysOnsite" : 10,
"daysNotInUse" : 5
} ]
}
Groups
List Groups
GET /groups
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
query |
Search for groups based on group name and class |
No |
|
classNames |
Return only groups with the specified group class names. Must be an exact match |
No |
|
changedSince |
Return only groups updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only groups updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
fromCreatedAt |
Return only groups created at or after this time, inclusive. fromCreatedAt must be before or equal to toCreatedAt. The date range is capped to 31 days to toCreatedAt. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
toCreatedAt |
Return only groups created before this time, exclusive |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the group |
|
class |
String |
Name of the class that the group belongs to |
|
createdBy |
Object |
Member who created the group |
|
createdBy.uuid |
String |
Unique identifier for the user who created the group |
|
createdBy.name |
String |
Name of the user who created the group |
|
updatedBy |
Object |
Member who last updated the group |
|
updatedBy.uuid |
String |
Unique identifier for the user who updated the group |
|
updatedBy.name |
String |
Name of the user who updated the group |
|
createdAt |
String |
Date and Time (UTC) when the group was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the group was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
name |
String |
Group name |
|
projectUuids |
Array |
Collection of all projects that are assigned to the group |
|
memberUuids |
Array |
Collection of all members that are assigned to the group |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/groups?query=query&classNames=groupCLass&fromCreatedAt=2024-03-03T14:00:00Z&toCreatedAt=2024-03-13T14:00:00Z&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&limit=10&offset=0' -i -X GET
Response body
{
"page" : {
"offset" : 0,
"limit" : 10,
"totalElements" : 10
},
"collection" : [ {
"uuid" : "e44ab439-57cd-41b1-852a-c47e9efc4839",
"createdBy" : {
"uuid" : "e2147c49-7549-43e0-a05c-7fb4ced6fecf",
"name" : "angella.bechtelar"
},
"updatedBy" : {
"uuid" : "96999de2-6809-4900-8dda-c11cab41b48f",
"name" : "parker.stark"
},
"createdAt" : "2026-10-06T01:29:35Z",
"updatedAt" : "2026-10-06T01:29:35Z",
"name" : "Emergency Department",
"projectUuids" : [ "04832ab2-145f-4873-8e03-087d3e07134e", "2427d665-beec-457c-a202-a8c03ac80151", "70ccb44a-56b8-41d9-b96c-08a4fbc0e898" ],
"memberUuids" : [ "f7f96c74-0932-42cb-8e5b-770df5ba1b9d", "d2ddfaf6-514d-4d9f-98af-97502a5f3f22" ],
"class" : "Departments"
} ]
}
Create Group
POST /groups
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Group name |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
class |
String |
Name of the class that the group belongs to |
Yes |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the group |
|
class |
String |
Name of the class that the group belongs to |
|
createdBy |
Object |
Member who created the group |
|
createdBy.uuid |
String |
Unique identifier for the user who created the group |
|
createdBy.name |
String |
Name of the user who created the group |
|
updatedBy |
Object |
Member who last updated the group |
|
updatedBy.uuid |
String |
Unique identifier for the user who updated the group |
|
updatedBy.name |
String |
Name of the user who updated the group |
|
createdAt |
String |
Date and Time (UTC) when the group was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the group was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
name |
String |
Group name |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/groups' -i -X POST \
-H 'Content-Type: application/json' \
-d '{
"name" : "Emergency Department",
"class" : "Departments"
}'
Response body
{
"uuid" : "4ef58f8a-d8da-4c6e-be9c-e75b0d2a6a57",
"createdBy" : {
"uuid" : "93e40e73-423c-482f-978d-80d00e9aa4a4",
"name" : "shanda.tillman"
},
"updatedBy" : {
"uuid" : "628f5378-5760-425b-aec8-7d5a5de6aac9",
"name" : "isabell.collier"
},
"createdAt" : "2026-10-06T01:29:35Z",
"updatedAt" : "2026-10-06T01:29:35Z",
"name" : "Emergency Department",
"class" : "Departments"
}
Update Group
PATCH /groups/{uuid}
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Group name |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
class |
String |
Name of the class that the group belongs to |
Yes |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the group |
|
class |
String |
Name of the class that the group belongs to |
|
createdBy |
Object |
Member who created the group |
|
createdBy.uuid |
String |
Unique identifier for the user who created the group |
|
createdBy.name |
String |
Name of the user who created the group |
|
updatedBy |
Object |
Member who last updated the group |
|
updatedBy.uuid |
String |
Unique identifier for the user who updated the group |
|
updatedBy.name |
String |
Name of the user who updated the group |
|
createdAt |
String |
Date and Time (UTC) when the group was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the group was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
name |
String |
Group name |
|
projectUuids |
Array |
Collection of all projects that are assigned to the group |
|
memberUuids |
Array |
Collection of all members that are assigned to the group |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/groups/bb1c4d3b-8264-4595-b15b-50d904e2e2da' -i -X PATCH \
-H 'Content-Type: application/json' \
-d '{
"name" : "Emergency Department",
"class" : "Departments"
}'
Response body
{
"uuid" : "e2ba393e-56a4-4be6-bd46-40e51108a477",
"createdBy" : {
"uuid" : "940af594-5ed9-4323-88bf-b26e06420618",
"name" : "hallie.gleichner"
},
"updatedBy" : {
"uuid" : "c3ffb26a-67ed-4923-a968-ebb0cb71b257",
"name" : "lane.berge"
},
"createdAt" : "2026-10-06T01:29:36Z",
"updatedAt" : "2026-10-06T01:29:36Z",
"name" : "Emergency Department",
"projectUuids" : [ "e329a1bd-8fbd-43dd-b9c4-05750cff19fc", "91ebc2c5-0c8a-4534-ad28-a75ae4f94610", "9d26c2c9-c255-48e5-8f30-de32bb9555fb" ],
"memberUuids" : [ "268f612e-7964-441f-bf7e-1bec419525d5", "a3a057b9-37ca-4090-be47-b8a3c4bfcea6" ],
"class" : "Departments"
}
Material Logs
List Material Logs
GET /materialLogs
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuid |
Return material logs for this project |
Yes |
|
fromDate |
Return material logs starting on this date. fromDate must be before or equal to toDate. |
No |
Format: "yyyy-MM-dd" |
toDate |
Return material logs ending on this date |
No |
Format: "yyyy-MM-dd" |
changedSince |
Return only material logs updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only material logs updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the material log |
|
date |
String |
Date of this log |
Format: "yyyy-MM-dd" |
updatedAt |
String |
Date and Time (UTC) when the material log was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
material |
Object |
Details of the Material |
|
material.uuid |
String |
Unique identifier of the Material |
|
material.name |
String |
Name of the Material |
|
material.materialUnit |
Object |
Material unit |
|
material.materialUnit.uuid |
String |
Unique identifier of the material unit |
|
material.materialUnit.name |
String |
Name of the material unit |
|
quantity |
Number |
Quantity of this material |
|
costCode |
Object |
Details of the Cost Code |
|
costCode.uuid |
String |
Unique identifier for the Cost Code |
|
costCode.code |
String |
Code for the Cost Code |
|
costCode.division |
String |
Division for the Cost Code |
|
costCode.description |
String |
Description of the Cost Code |
|
attachments[].uuid |
String |
Unique identifier for this attachment on the material log |
|
attachments[].url |
String |
Url for this attachment on the material log |
|
attachments[].description |
String |
Description of this attachment on the material log |
|
attachments[].thumbnailUrl |
String |
Thumbnail Url for this attachment on the material log |
|
attachments[].contentType |
String |
Content type for this attachment on the material log (e.g. 'image/jpeg', 'image/png') |
|
attachments[].mediaType |
String |
Media type for this attachment on the material log |
Enums: IMAGE, VIDEO, DOCUMENT, AUDIO |
attachments[].fileName |
String |
File name of this attachment on the material log |
|
attachments[].fileSize |
Number |
Size of this attachment on the material log in bytes |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/materialLogs?fromDate=2011-01-01&toDate=2012-01-01&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/materialLogs?fromDate=2011-01-01&toDate=2012-01-01&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&offset=0&limit=5",
"next" : "/materialLogs?fromDate=2011-01-01&toDate=2012-01-01&changedSince=2024-03-03T14:00:00Z&changedUntil=2024-03-13T14:00:00Z&projectUuid=8169fd06-0997-4673-b537-4d9d401b8922&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "2e979ea0-9a2e-4830-a1fc-af218344d300",
"material" : {
"uuid" : "16677084-be36-4f5f-a66c-3e45b191b516",
"name" : "Concrete",
"materialUnit" : {
"uuid" : "078682b4-6e98-43d6-821d-2f87d0b1cd3e",
"name" : "Cubic Ft"
}
},
"costCode" : {
"description" : "Structural Concrete",
"uuid" : "5e349db8-b630-4744-b28f-9570796d5c6f",
"code" : "0110",
"division" : "division"
},
"attachments" : [ {
"uuid" : "3316b328-483b-418b-8ef3-239adc7abd6d",
"url" : "https://www.example.com/image",
"description" : "Description",
"fileName" : "iure.jpg",
"thumbnailUrl" : "https://www.example.com/thumbnailImage",
"contentType" : "image/png",
"mediaType" : "IMAGE",
"fileSize" : 12530
} ],
"quantity" : 50.0,
"date" : "2020-10-10",
"updatedAt" : "2026-10-06T01:29:39Z"
} ]
}
Material Units
List Material Units
GET /materialUnits
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the unit |
|
name |
String |
Name of the unit |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/materialUnits?limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/materialUnits?offset=0&limit=5",
"next" : "/materialUnits?offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "34b7c474-5ad3-44b5-996b-d7c9a49ff859",
"name" : "m"
}, {
"uuid" : "20466530-6182-4e52-ad95-32e72f9bc3a2",
"name" : "inch"
}, {
"uuid" : "c24ce1a7-77e6-4fc5-9b76-0de45ccecd8f",
"name" : "gallon"
}, {
"uuid" : "400b653b-a4d2-4777-ae8b-43eaf5faf720",
"name" : "m²"
}, {
"uuid" : "160564ce-5128-4034-bcb0-2bf160131d5c",
"name" : "ea"
} ]
}
Create Material Unit
POST /materialUnits
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Name of the unit |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the unit |
|
name |
String |
Name of the unit |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/materialUnits' -i -X POST \
-H 'Content-Type: application/json' \
-d '{
"name" : "inch"
}'
Response body
{
"uuid" : "7616e3ff-1e83-4d71-821b-9c7dea937f33",
"name" : "inch"
}
Materials
List Materials
GET /materials
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
projectUuid |
If specified, return materials only for this project |
No |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier of the material |
|
name |
String |
Name of the material |
|
materialUnit |
Object |
Material unit |
|
materialUnit.uuid |
String |
Unique identifier of the material unit |
|
materialUnit.name |
String |
Name of the material unit |
|
projects |
Array |
List of projects that the material is assigned to |
|
projects[].uuid |
String |
Unique identifier of the project |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/materials?projectUuid=f6efbe0a-606d-4330-8f9d-f8d20cf5518e&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/materials?projectUuid=f6efbe0a-606d-4330-8f9d-f8d20cf5518e&offset=0&limit=5",
"next" : "/materials?projectUuid=f6efbe0a-606d-4330-8f9d-f8d20cf5518e&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "9cbdabbf-0974-4d6d-a33c-b55f16356e61",
"name" : "Cement",
"materialUnit" : {
"uuid" : "74177548-1c68-4ebe-a0ce-354fdd62e168",
"name" : "kg"
},
"projects" : [ {
"uuid" : "8d1fbe0a-3c30-4bb8-beb3-750f266480e9"
} ]
}, {
"uuid" : "18a4e547-251e-4855-8c80-10c0c3912d1b",
"name" : "Sand",
"materialUnit" : {
"uuid" : "06a572e1-cb04-46e9-9a36-f42e8921cf23",
"name" : "kg"
},
"projects" : [ {
"uuid" : "c57fc741-ae88-43c9-a376-13ae5e13a03a"
} ]
}, {
"uuid" : "fc40f12c-31f1-4c11-ba5b-546005167b89",
"name" : "Steel",
"materialUnit" : {
"uuid" : "5f7bbf7e-edf8-4652-bf4b-d2909931c926",
"name" : "kg"
},
"projects" : [ {
"uuid" : "01ad146b-8ebc-434d-b107-070ec1a8a805"
} ]
}, {
"uuid" : "76242eeb-7287-4321-ae96-60ff35b32caa",
"name" : "Concrete",
"materialUnit" : {
"uuid" : "0ab37fbb-7baa-4e72-83b9-5e85319ed456",
"name" : "kg"
},
"projects" : [ {
"uuid" : "60483805-92ed-4484-bfc4-950372d47990"
} ]
}, {
"uuid" : "29350f10-ef51-476a-94e5-393d03e41c68",
"name" : "Bricks",
"materialUnit" : {
"uuid" : "500dbcc5-49fd-4f1f-a0de-33490e1c3f61",
"name" : "kg"
},
"projects" : [ {
"uuid" : "57c54e19-91e9-44af-9a60-104081044610"
} ]
} ]
}
Create Material
POST /materials
-
If
projectUuidis specified when creating a material, the material will be only available to the project. -
If
projectUuidis not specified when creating a material, the material will be available to use by any project on your Raken account.
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Name of the material |
Yes |
Must not be blank Size must be between 0 and 255 inclusive |
materialUnitUuid |
String |
Unique identifier for the unit of the material |
Yes |
Must not be null |
projectUuid |
String |
If specified, a material is created for this project and can’t be used by other projects. If not specified, a company level material is created which is available to use by all projects. |
No |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier of the material |
|
name |
String |
Name of the material |
|
materialUnit |
Object |
Material unit |
|
materialUnit.uuid |
String |
Unique identifier of the material unit |
|
materialUnit.name |
String |
Name of the material unit |
|
projects |
Array |
List of projects that the material is assigned to |
|
projects[].uuid |
String |
Unique identifier of the project |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/materials' -i -X POST \
-H 'Content-Type: application/json' \
-d '{
"materialUnitUuid" : "9022aa71-8ec0-4687-8d04-1bb93f3da3be",
"name" : "Sand",
"projectUuid" : "b220c16e-e782-4b1a-9d8e-f780bcaee803"
}'
Response body
{
"uuid" : "dde875a6-6fbd-4d3d-b4b0-5b70392e0ca5",
"name" : "Sand",
"materialUnit" : {
"uuid" : "9022aa71-8ec0-4687-8d04-1bb93f3da3be",
"name" : "kg"
},
"projects" : [ {
"uuid" : "b220c16e-e782-4b1a-9d8e-f780bcaee803"
} ]
}
Update Material
PATCH /materials/{uuid}
| You can change a material’s name or unit, and also configure which projects the material can be used by. |
Request fields
| Field | Type | Description | Required | Constraints |
|---|---|---|---|---|
name |
String |
Name of the material |
No |
Must not be blank Size must be between 0 and 255 inclusive |
materialUnitUuid |
String |
Unique identifier of the unit for the material |
No |
|
projectUuids |
Array |
List of unique identifiers for projects that the material is assigned to |
No |
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier of the material |
|
name |
String |
Name of the material |
|
materialUnit |
Object |
Material unit |
|
materialUnit.uuid |
String |
Unique identifier of the material unit |
|
materialUnit.name |
String |
Name of the material unit |
|
projects |
Array |
List of projects that the material is assigned to |
|
projects[].uuid |
String |
Unique identifier of the project |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/materials/735b373d-24b8-4fc1-a1e9-fc3e04c928d1' -i -X PATCH \
-H 'Content-Type: application/json' \
-d '{
"name" : "Steel"
}'
Response body
{
"uuid" : "735b373d-24b8-4fc1-a1e9-fc3e04c928d1",
"name" : "Steel",
"materialUnit" : {
"uuid" : "81e01490-3830-4666-8218-6b43ed05462a",
"name" : "kg"
},
"projects" : [ {
"uuid" : "7dad2592-bc18-4bea-8c0a-efe5c9be4e46"
} ]
}
Members
List Members
GET /members
| When a Raken worker is assigned to a project, we call the worker a project member. A worker can be a member of multiple projects. |
Use the query parameter to search members by name, employeeId, email, phone number, or contact-company name (case-insensitive substring match).
|
Query parameters
| Parameter | Description | Required | Constraints |
|---|---|---|---|
query |
Filter members by name, employeeId, email, phone, or contact-company name (case-insensitive substring match). |
No |
|
statuses |
Return only members with the given statuses. Multiple statuses can be specified. If not specified, only |
No |
Enums: ACTIVE, INVITED, INACTIVE, DELETED |
projectUuid |
Return only members for the given project |
No |
|
classificationUuids |
Return only members for the given classification |
No |
|
roles |
Return only members with the given roles. More than one role may be specified. |
No |
Enums: ROLE_WORKER, ROLE_USER, ROLE_ADMIN, ROLE_PROJECT_MEMBER |
changedSince |
Return only members updated at or after this time, inclusive. changedSince must be before or equal to changedUntil. The date range is capped to 31 days to changedUntil. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
changedUntil |
Return only members updated before this time, exclusive. |
No |
Format: "yyyy-MM-ddThh:mm:ssZ" |
|
About the By default, members of all roles are returned. Please reference the list below for notes on the access level of each role and include the appropriate role query parameter in your request.
|
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the member |
|
firstName |
String |
First Name |
|
lastName |
String |
Last Name |
|
role |
String |
Role |
Enums: ROLE_WORKER, ROLE_USER, ROLE_ACCOUNT_ADMIN, ROLE_ADMIN, ROLE_PROJECT_MEMBER |
String |
|||
phoneNumber |
String |
Phone Number |
|
username |
String |
User name (not applicable to ROLE_WORKER that cannot log in Raken |
|
title |
String |
Title |
|
employeeId |
String |
Employee Id (Unique if not empty) |
|
classificationUuid |
String |
Unique identifier of the classification for the member |
|
createdAt |
String |
Date and Time (UTC) when the member was created |
Format: "yyyy-MM-ddThh:mm:ssZ" |
updatedAt |
String |
Date and Time (UTC) when the member was updated |
Format: "yyyy-MM-ddThh:mm:ssZ" |
lastLoginAt |
String |
Date and Time (UTC) when the member last logged in |
Format: "yyyy-MM-ddThh:mm:ssZ" |
status |
String |
Member status |
Enums: ACTIVE, INVITED, INACTIVE, DELETED |
timeSettings |
Object |
Default times settings for the member |
|
timeSettings.blockTimeClock |
Boolean |
Flag that indicates whether or not this member may access the Time Clock feature. If true, they may not access the time clock. If true, they may not access the time clock |
Boolean value: true or false |
timeSettings.defaultCostCode |
String |
The unique identifier of this member’s default cost code |
|
timeSettings.defaultShift |
String |
The unique identifier of this member’s default shift |
Usage Example with Curl
Curl request
$ curl 'https://developer.rakenapp.com/api/members?statuses=ACTIVE&roles=ROLE_WORKER&roles=ROLE_USER&projectUuid=4eb5d34d-a5b1-46e6-82f7-5e4686a42169&classificationUuids=01f68679-a36f-4d3c-ac82-bcb26b56051d,7f91afab-5729-4d3e-9ab2-501abc85f9ea&changedSince=2024-02-03T14:00:00Z&changedUntil=2024-02-13T14:00:00Z&limit=5&offset=5' -i -X GET
Response body
{
"page" : {
"offset" : 5,
"limit" : 5,
"totalElements" : 15,
"previous" : "/members?statuses=ACTIVE&roles=ROLE_WORKER&roles=ROLE_USER&projectUuid=4eb5d34d-a5b1-46e6-82f7-5e4686a42169&classificationUuids=01f68679-a36f-4d3c-ac82-bcb26b56051d,7f91afab-5729-4d3e-9ab2-501abc85f9ea&changedSince=2024-02-03T14:00:00Z&changedUntil=2024-02-13T14:00:00Z&offset=0&limit=5",
"next" : "/members?statuses=ACTIVE&roles=ROLE_WORKER&roles=ROLE_USER&projectUuid=4eb5d34d-a5b1-46e6-82f7-5e4686a42169&classificationUuids=01f68679-a36f-4d3c-ac82-bcb26b56051d,7f91afab-5729-4d3e-9ab2-501abc85f9ea&changedSince=2024-02-03T14:00:00Z&changedUntil=2024-02-13T14:00:00Z&offset=10&limit=5",
"nextOffset" : "10"
},
"collection" : [ {
"uuid" : "c93206c5-c473-40cf-8070-12370ee9bb19",
"firstName" : "Gonzalo",
"lastName" : "Moen",
"role" : "ROLE_USER",
"email" : "truman.kris@gmail.com",
"employeeId" : "EMP00001",
"username" : "truman.kris@gmail.com",
"classificationUuid" : "6506c129-ecab-408f-a153-9850978f21af",
"status" : "ACTIVE",
"phoneNumber" : "(936) 667-5788",
"title" : "Mr",
"lastLoginAt" : "2022-07-18T12:40:33Z",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z",
"timeSettings" : {
"blockTimeClock" : true,
"defaultCostCode" : "8e78e66d-3bdf-41da-83e4-97ffcae900c5",
"defaultShift" : "3af942ad-c1af-4e16-a304-12550e3a09a6"
}
}, {
"uuid" : "002d8014-fdd6-4e15-aefd-a7d11c41c888",
"firstName" : "Renna",
"lastName" : "Medhurst",
"role" : "ROLE_USER",
"email" : "dorian.stamm@yahoo.com",
"employeeId" : "EMP00002",
"username" : "dorian.stamm@yahoo.com",
"classificationUuid" : "f8705245-2d34-411e-9f9b-4fa4eb7c0ab0",
"status" : "ACTIVE",
"phoneNumber" : "(274) 220-8608",
"title" : "Mrs",
"lastLoginAt" : "2022-07-18T12:40:33Z",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z",
"timeSettings" : {
"blockTimeClock" : true,
"defaultCostCode" : "1f1fde60-5931-4276-a1b9-0d4e852bb235",
"defaultShift" : "2fa62028-5400-4327-bcd5-cb1572f5fe9b"
}
}, {
"uuid" : "9f31555f-87ae-41c1-b0ea-cf22b6a287b1",
"firstName" : "Darren",
"lastName" : "Leannon",
"role" : "ROLE_USER",
"email" : "porsche.walsh@gmail.com",
"employeeId" : "EMP00003",
"username" : "porsche.walsh@gmail.com",
"classificationUuid" : "59e4c828-9e01-4623-a9bd-6f0a5d2c8886",
"status" : "ACTIVE",
"phoneNumber" : "(305) 298-0193",
"title" : "Mr",
"lastLoginAt" : "2022-07-18T12:40:33Z",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z",
"timeSettings" : {
"blockTimeClock" : true,
"defaultCostCode" : "d9fe941f-490d-4f4c-92e7-b09bb0422f46",
"defaultShift" : "7848c40a-e469-4098-b79b-8739692402c6"
}
}, {
"uuid" : "7fc38389-b175-42d1-aca8-86afa87fa393",
"firstName" : "Maye",
"lastName" : "Stamm",
"role" : "ROLE_USER",
"email" : "lorine.kris@hotmail.com",
"employeeId" : "EMP00004",
"username" : "lorine.kris@hotmail.com",
"classificationUuid" : "6451f97d-995a-458c-a538-4105d1c9dc25",
"status" : "ACTIVE",
"phoneNumber" : "(505) 640-3931",
"title" : "Mrs",
"lastLoginAt" : "2022-07-18T12:40:33Z",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z",
"timeSettings" : {
"blockTimeClock" : true,
"defaultCostCode" : "4e38503d-f87d-489f-acec-1cadd4955ea1",
"defaultShift" : "e225e2b2-5bcd-42ee-b61a-2d6da3751568"
}
}, {
"uuid" : "2aa0e025-042b-45c6-bc17-259b719fb750",
"firstName" : "Jeramy",
"lastName" : "Blanda",
"role" : "ROLE_USER",
"email" : "murray.dietrich@yahoo.com",
"employeeId" : "EMP00005",
"username" : "murray.dietrich@yahoo.com",
"classificationUuid" : "e8127387-7119-4b56-89dd-c2562c4c931e",
"status" : "ACTIVE",
"phoneNumber" : "(619) 844-5018",
"title" : "Mr",
"lastLoginAt" : "2022-07-18T12:40:33Z",
"createdAt" : "2022-07-17T22:47:03Z",
"updatedAt" : "2022-07-19T22:41:27Z",
"timeSettings" : {
"blockTimeClock" : true,
"defaultCostCode" : "0fe61af5-bdce-4400-af64-59b4163d88b5",
"defaultShift" : "2b6836bd-0844-4294-a1ea-1b52451e71a3"
}
} ]
}
Get Member
GET /members/{uuid}
It returns more details including projectUuids for the member, compared to the list request.
|
Response fields
| Field | Type | Description | Constraints |
|---|---|---|---|
uuid |
String |
Unique identifier for the member |
|
firstName |
String |
First Name |
|
lastName |
String |
Last Name |
|
role |
String |
Role |
Enums: ROLE_WORKER, ROLE_USER, ROLE_ACCOUNT_ADMIN, ROLE_ADMIN, ROLE_PROJECT_MEMBER |
String |
|||
[...]
